petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscOptionsHead

Puts a heading before listing any more published options. Used, for example, in KSPSetFromOptions_GMRES().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsHead(PetscOptionItems *PetscOptionsObject,const char head[])

Logically Collective on the communicator passed in PetscOptionsBegin()

### Input Parameter

head -the heading text

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

Can be followed by a call to PetscOptionsTail() in the same function.

### See Also

PetscOptionsGetInt(NULL,), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

Level:intermediate
Location:src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html